BdbService.AsyncClient.getCursorCachePriority_call (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.AsyncClient.getCursorCachePriority_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall<TCachePriority>
  - - com.sleepycat.thrift.BdbService.AsyncClient.getCursorCachePriority_call

- Enclosing class:
    BdbService.AsyncClient

      public static class BdbService.AsyncClient.getCursorCachePriority_call
      extends org.apache.thrift.async.TAsyncMethodCall<TCachePriority>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

      `org.apache.thrift.async.TAsyncMethodCall.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

      `client, transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `getCursorCachePriority_call(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TCachePriority> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TCachePriority` | `getResult()`
    `void` | `write_args(org.apache.thrift.protocol.TProtocol prot)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

      `getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### getCursorCachePriority_call

          public getCursorCachePriority_call(TCursor cursor,
                                             org.apache.thrift.async.AsyncMethodCallback<TCachePriority> resultHandler,
                                             org.apache.thrift.async.TAsyncClient client,
                                             org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                             org.apache.thrift.transport.TNonblockingTransport transport)
                                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

  - ### Method Detail

    - #### write_args

          public void write_args(org.apache.thrift.protocol.TProtocol prot)
                          throws org.apache.thrift.TException

      Specified by:
        `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<TCachePriority>`
      Throws:
        `org.apache.thrift.TException`

    - #### getResult

          public TCachePriority getResult()
                                   throws TDatabaseException,
                                          TRuntimeException,
                                          org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<TCachePriority>`
      Throws:
        `TDatabaseException`
        `TRuntimeException`
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.